* Generic session options - page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim=' ';											
* Kill default titles on output, dont show titles in log; 
TITLE; ODS TRACE OFF; 

*** SAS data needed for this program:
	One row per person data set of item responses in columns
	containing at least one of these series of variables:
		PPVT-3 Form A: ppvt3a_1-ppvt3a_204
		PPVT-3 Form B: ppvt3b_1-ppvt3b_204
		PPVT-R Form M: ppvtRm_1-ppvtRm_175
	One ID variable to distinguish cases (denoted below)
	Item responses should be 0=incorrect, 1=correct, missing responses otherwise

*** DATA CHARACTERISTICS: CHANGE THESE VALUES AFTER %LET = TO DESCRIBE YOUR DATA;

* FILESAVE = Folder location for all original files;	
	%LET filesave = F:\PPVT Analysis;
* RESPFILE = Name of person-level SAS dataset with original item responses;
	%LET respfile = exampledata;
* THETAFILE = Name of file to be created for the thetas;
	%LET thetafile = examplescores;
* FORMUSE = Form to use given any common item responses (choose 3a, 3b, or Rm);
	%LET formuse = Rm;
* PERSONID = Name of person ID variable in person-level SAS dataset;
	%LET personID = ID;
* NSUBJECTS = Number of subjects to score in person-level SAS dataset;
	%LET nSubjects = 8;


*** OTHER ESTIMATION OPTIONS: MAY LEAVE AS IS OR CHANGE IF DESIRED;

* ITEMFILE = Name of item parameters file with which to score new subjects;
	%LET itemfile = itemparms459;
* MCMCSEED = seed value for MCMC initialization - Defaults to 0;
	%LET mcmcseed = 0;
* NBURNIN = number of burn-in iterations for MCMC chain - Defaults to 1000;
	%LET nburnin = 1000;
* NTUNE = number of tuning iterations for PROC MCMC - Defaults to 500;
	%LET ntune = 500;
* NMCMC = number of MCMC iterations, excluding burnin - Defaults to 2000;
	%LET nmcmc = 2000;
* NTHIN = thinning interval for MCMC iterations - Defaults to 10;
	%LET nthin = 10;

****************************************************************************************;
*** Nothing else needs to be changed;

* Execute master file to score examinees;
LIBNAME filesave "&filesave.";
%INCLUDE "&filesave.\PPVT MCMC Person Scoring.sas";
%PersonScore(filesave=&filesave., respfile=&respfile., thetafile=&thetafile.,
		     formuse=&formuse., personID=&personID., nSubjects=&nSubjects.,  
		     itemfile=&itemfile., mcmcseed=&mcmcseed., nburnin=&nburnin., 
		     ntune=&ntune., nmcmc=&nmcmc., nthin=&nthin.)
